JBoss API: Class CategoryWriter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.logging.log4j
Class CategoryWriter

    java.lang.Object
      |
      +--java.io.Writer
            |
            +--java.io.PrintWriter
                  |
                  +--org.jboss.logging.log4j.CategoryWriter

public class CategoryWriter
extends java.io.PrintWriter

A subclass of PrintWriter that redirects its output to a log4j Category.

This class is used to have something to give api methods that require a PrintWriter for logging. JBoss-owned classes of this nature generally ignore the PrintWriter and do their own log4j logging.

Version:
  $$
Author:
  David Jencks .

Fields inherited from class java.io.PrintWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`CategoryWriter(org.apache.log4j.Category category)` Redirect logging to the indicated category using Priority.INFO
`CategoryWriter(org.apache.log4j.Category category, org.apache.log4j.Priority priority)` Redirect logging to the indicated category using the given priority.

Methods inherited from class java.io.PrintWriter
`checkError, close, flush, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println, setError, write, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryWriter

    public CategoryWriter(org.apache.log4j.Category category)

  Redirect logging to the indicated category using Priority.INFO
  Parameters:
    `category` - Description of Parameter

### CategoryWriter

    public CategoryWriter(org.apache.log4j.Category category,
                          org.apache.log4j.Priority priority)

  Redirect logging to the indicated category using the given priority. The ps is simply passed to super but is not used.
  Parameters:
    `category` - Description of Parameter
    `priority` - Description of Parameter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.